import { useFormStatus } from "react-dom";
import { Button } from "~/components/ui/button";

export default function SubmitButton() {
  const { pending } = useFormStatus();
  return (
    <Button disabled={pending}>
      {pending ? "Adding country.." : "Add country"}
    </Button>
  );
}
